import os
import sys
import socket
import asyncio

if sys.version_info >= (3, 11):
    from datetime import datetime, UTC
else:
    from datetime import datetime, timezone


def now_utc_timestamp() -> float:
    if sys.version_info >= (3, 11):
        return datetime.now(UTC).timestamp()
    else:
        return datetime.now(timezone.utc).timestamp()

def now_timestamp() -> float:
    return datetime.now().timestamp()
